# Get Bulk User Allocations from Group

> GET endpoint for retrieving the list of users who have acquired licenses from a specific group.

Retrieves the list of users who have acquired licenses from a specific group. Requires an external application with the `OrganizationAdmin` or `LicenseRead` policy.

## API Endpoint

`GET {accessURL}/{organizationName}/lease_/api/account/{organizationId}/user-license/group/{groupId}/bulk-users`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Automation Cloud | `https://cloud.uipath.com/` |
| Automation Cloud Public Sector | `https://govcloud.uipath.us/` |
| Automation Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

## Request headers

```
--header 'Authorization: Bearer {access_token}'
```

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `organizationId` (required) | Guid | The ID of the organization in which your tenant resides. |
| `groupId` (required) | String | The group ID. |

## Query Parameters

All query parameters are optional and used for pagination.

| Parameter | Type | Description |
| --- | --- | --- |
| `skip` | Integer | Offset in results list. |
| `top` | Integer | Number of results to return. Maximum: 50. |
| `sortBy` | String | Field name for ordering. Use UpperCamelCase C# property names. |
| `sortOrder` | String | Set direction. Accepted values: `asc, desc`. |

## Responses

`200 OK` - returns the license rules and quota configuration for all groups.
`404` - organization does not exist

```
[
  {
  "results": [
    {
      "id": "string",
      "email": "string",
      "name": "string",
      "surname": "string",
      "displayName": "string",
      "lastInUse": "2026-01-01T00:00:00Z",
      "userBundleLicenses": ["string"],
      "orphan": false
    }
  ],
  "totalCount": 0
  }
]
```

## Example request

```
[
    curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/group/group-01/bulk-users' --header 'Authorization: Bearer {access_token}'
]
```
